%define name	scriptutils
%define ver     1.0.11
%define rel     1
%define prefix  /usr

Summary:	A collection of useful shell scripts
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
Copyright:	GPL
Group:		Productivity/Text/Utilities
Source:		http://volker.dnsalias.net/soft/scriptutils.tar.gz
URL:		http://volker.dnsalias.net/soft/
Vendor:         Volker Kuhlmann <VolkerKuhlmann@gmx.de>
Packager:       Volker Kuhlmann <VolkerKuhlmann@gmx.de>
Distribution:	SuSE Linux 8.1 contrib
BuildRoot:	/tmp/%{name}-%{version}-%{release}-%(id -u -n)
Prefix:		%{prefix}
BuildArchitectures:	noarch
#Summary(de):    

Requires:	diffutils, fileutils, findutils, textutils

%changelog

* Thu Mar 26 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Thu Mar 13 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Sun Feb 09 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Tue Jan 07 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Added ldap-search-dump, ldap-add, ldap-delete, ldap-modify, ldap-search
* Fri Jan 03 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Thu Dec 05 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Scripts updated, and added the for script
* Fri Nov 15 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- For SuSE 8.1; some scripts updated
* Wed Sep 11 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Added strreplace, iplogfilter
* Wed Aug 28 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Updated scripts, added deltexa etc
* Sun Aug 11 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Updated scripts
* Fri Jul 05 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Updated scripts
* Fri Jun 28 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- For SuSE 8.0
- Created first version of rpm

%description
This collection of shell scripts helps with everyday tasks, often reducing the
amount of typing otherwise required when using the standard utilities. Included
are scripts for finding files, comparing directory trees, generating checksums,
mastering and writing CDs, downloading URLs listed in special files via cron,
and a few others.
All scripts require the basic unix command line utilities, some scripts require
further programs (e.g. writecd requires cdrecord).

#%description -l de

%prep
%setup -n %{name} -c

%build

%install
# Oh boy this is a hack...

cat >files <<EOF
%defattr(-,root,dialout)
%{prefix}/bin/ppp-addxfers
%defattr(-,root,root)
%doc mkisofs-make-README
%{prefix}/sbin/*
EOF

test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/sbin
for file in *; do
  case "$file" in
    files)
    	continue;;
    mkisofs-make-README)
  	true;;
    scsi-add|PW|iplogfilter)
  	#install -c -m 700 $file ${RPM_BUILD_ROOT}%{prefix}/sbin;;
  	cp -p $file ${RPM_BUILD_ROOT}%{prefix}/sbin
	chmod 700 ${RPM_BUILD_ROOT}%{prefix}/sbin/$file;;
    ppp-addxfers)
  	#install -c -m 710 -g dialout $file ${RPM_BUILD_ROOT}%{prefix}/bin \
	#  || true;;
  	cp -p $file ${RPM_BUILD_ROOT}%{prefix}/bin
	chmod 710 ${RPM_BUILD_ROOT}%{prefix}/bin/$file
	chgrp dialout ${RPM_BUILD_ROOT}%{prefix}/bin/$file || true;;
    *)
  	#install -c -m 755 $file ${RPM_BUILD_ROOT}%{prefix}/bin;;
	if [ -L $file ]; then
		#cp -ap $file ${RPM_BUILD_ROOT}%{prefix}/bin
		ln -s `ls -l $file | sed 's/.* -> //'` \
			${RPM_BUILD_ROOT}%{prefix}/bin/$file
	else
  		cp -p $file ${RPM_BUILD_ROOT}%{prefix}/bin
	fi
	echo >>files %{prefix}/bin/$file;;
  esac
done

%clean
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
rm -rf ${RPM_BUILD_ROOT}

#%files
#%{prefix}/bin/ppp-addxfers
#%defattr(-,root,root)
#%doc mkisofs-make-README
#%{prefix}/bin/*
#%{prefix}/sbin/*
%files -f files
